Sign inGet started

Feed item activity

GET
/workspaces/{workspaceId}/feeds/{feedId}/items/{itemId}/activities
Retrieve a list of activities associated with a specific feed item.
Queryparameters
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
type
string
Filter by activity type
Possible values: comment, event
Antwoord-payload
results
array of object
verplicht
Onderliggende attributen tonen
results.id
string
verplicht
results.type
string
verplicht
Possible values: comment
results.content
object
verplicht
Onderliggende attributen tonen
results.content.id
string
verplicht
results.content.author
object
verplicht
Onderliggende attributen tonen
results.content.author.id
string
verplicht
results.content.author.type
string
verplicht
Possible values: user, flows
results.content.author.displayName
string
results.content.author.avatarUrl
string
results.content.replyTo
object
Onderliggende attributen tonen
results.content.replyTo.id
string
verplicht
results.content.replyTo.type
string
verplicht
Possible values: comment, message
results.content.body
object
verplicht
Onderliggende attributen tonen
results.content.body.type
string
verplicht
Possible values: text
results.content.body.text
object
verplicht
Onderliggende attributen tonen
results.content.body.text.text
string
verplicht
results.content.mentions
object
Onderliggende attributen tonen
results.content.mentions.notify
object
Notify are notification settings for mentions in comments. Every new mentioned individual will be notified the moment they are added as a mention. If OnUpdate is true, existing mentions will be notified when a comment is changed. If OnDelete is true, mentions will get notified when the comment gets deleted.
Onderliggende attributen tonen
results.content.mentions.notify.onUpdate
boolean
results.content.mentions.notify.onDelete
boolean
results.content.mentions.identifiers
array of object
verplicht
Onderliggende attributen tonen
results.content.mentions.identifiers.id
string
Only agent IDs are supported at the moment.
results.createdAt
string
verplicht
results.updatedAt
string
verplicht
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/feeds/{feedId}/items/{itemId}/activities' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'